local scale = 1
local image = 'splash.png'
local circle = {x = 300,
                y = 300,
                radius = 50,
                speed = 200}

function love.load()
    myImage = love.graphics.newImage(image)
end

function love.update(dt)
    if love.keyboard.isDown('right')  then circle.x = circle.x + circle.speed * dt end
    if love.keyboard.isDown('left')   then circle.x = circle.x - circle.speed * dt end
    if love.keyboard.isDown('down')   then circle.y = circle.y + circle.speed * dt end
    if love.keyboard.isDown('up')     then circle.y = circle.y - circle.speed * dt end
    if love.keyboard.isDown('z')      then scale = scale + 0.1 end
    if love.keyboard.isDown('x')      then scale = scale - 0.1 end
    if love.keyboard.isDown('escape') then love.event.quit() end
end

function love.draw()
    dx = (love.graphics.getWidth() / 2) - (love.graphics.getWidth() / 2) / scale
    dy = (love.graphics.getHeight() / 2) - (love.graphics.getHeight() / 2) / scale
    --dx = (love.mouse.getX()) - (love.graphics.getWidth() / 2) / scale
    --dy = (love.mouse.getY()) - (love.graphics.getHeight() / 2) / scale

    love.graphics.scale(scale)
    love.graphics.translate(-dx, -dy)

    love.graphics.draw(myImage, love.graphics.getWidth() / 2 - myImage:getWidth() / 2, love.graphics.getHeight() / 2 - myImage:getHeight() / 2)
    love.graphics.setColor(0, 0, 0)
    love.graphics.setLineWidth(15)
    love.graphics.circle('line', circle.x, circle.y, circle.radius)
    love.graphics.setColor(255, 255, 255)
    love.graphics.circle('fill', circle.x, circle.y, circle.radius)
end
